VoiceReports

Get your calls traffic reports

Fetch calls traffic reports based on your inbound and outbound calls data. Traffic report represents the count of calls made during a time interval. Traffic report shows growth or decrease in amount of calls over a time period. The amount of calls is accumulated for time intervals (day, week, month) during the time period. For calls traffic reports, time period parameters filter by calldate/start_time field. If no time filtration is provided in the request, by default report will be returned for the current month with a day interval.

GET
/api/v1/voice/reports/calls/traffic

Query Parameters

status?string

Optional filter. Allows to include in report only calls of certain type.

Value in

  • "incoming"
  • "outgoing"
  • "missed"
interval?string

Defines aggregation granularity.

Value in

  • "day"
  • "week"
  • "month"
period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/voice/reports/calls/traffic" \  -H "Authorization: string"
{  "code": 0,  "data": [    {      "count": 0,      "date": "string"    }  ],  "error_details": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "message": "string",  "request_id": "string",  "status": "ok"}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.